@echo off

SetLocal EnableDelayedExpansion

set PROGRAM=%0
set SYNCACCPSWD=
set SYNCACCHOMEFOLDER=
set SYNCACCGID=
set SYNCACCUID=
set KEEPCONF=

goto start
:usage

set FILEDRIVEHOM=%%FILEDRIVEHOME%%
set Id=%%Id%%

:start

set USAGE=
set STOP=
set DEBUG=false

:BeginLoopParameters
set PARAM=%1
for %%I in (%PARAM%) do SET PARAM=%%~I


if "%PARAM%" == ""             goto CheckArguements

:ContinueLoop
    shift
:ContinueWithNext
    shift
    goto BeginLoopParameters

:GetFILEDRIVEHOME
    set SECONDPARAM=%1
    for %%I in (%SECONDPARAM%) do SET SECONDPARAM=%%~I
    if "%SECONDPARAM%" == ""   goto NoFILEDRIVEHOME
    SET FILEDRIVEHOME=%1
    for %%I in (%FILEDRIVEHOME%) do SET FILEDRIVEHOME=%%~I
    goto ContinueLoop

:SetOPTIONS
    set USAGE=--usage
    goto ContinueLoop

:SetDEBUG
    set DEBUG=true
    goto ContinueLoop

:CheckArguements

if "%FILEDRIVEHOME%"  == "" goto NoFILEDRIVEHOME
set JAVA_HOME=%FILEDRIVEHOME%\jre
goto CheckJAVA_HOME
:NoFILEDRIVEHOME
echo "%PROGRAM%: ERROR: Please specify the installation path to the SecureTransport."
goto exitting

:CheckJAVA_HOME
if "%JAVA_HOME%"  == "" goto NoJAVA_HOME
set PATH=%JAVA_HOME%\bin;%PATH%
goto Cont
:NoJAVA_HOME
echo "%PROGRAM%: ERROR: Cannot get JAVA_HOME directory.
echo "%PROGRAM%: ERROR: Please specify the installation path to the SecureTransport."
goto exitting


:Cont


if "%FILEDRIVEHOME:~-1%" NEQ "\" goto :dontRemoveLastCharacterFromFiledrivehome
set FILEDRIVEHOME=%FILEDRIVEHOME:~0,-1%

:dontRemoveLastCharacterFromFiledrivehome


set CLASSPATH=

for /f "usebackq tokens=* delims=/" %%C in (`cd`) do set CURDIR=%%C

cd %FILEDRIVEHOME%\lib\jars\external


For %%f in (*.jar) do set CLASSPATH=%%f;!CLASSPATH!
For %%f in (..\*.jar) do set CLASSPATH=%%f;!CLASSPATH!

set CLASSPATH=%CURDIR%\Axway-AccountRetentionPolicy-psolicensemenu-removal.jar;%CLASSPATH%
set CLASSPATH=%FILEDRIVEHOME%\conf;%CLASSPATH%

set OPTS=

if "%DEBUG%" == "false"  goto SkipDebugOpts 
set OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,address=8003,suspend=n,server=y %OPTS%
:SkipDebugOpts

IF EXIST "%FILEDRIVEHOME%\bin\start_db" "%FILEDRIVEHOME%\bin\start_db"

if "x%USAGE%"  == "x" goto ShowUsage
"%JAVA_HOME%\bin\java.exe" %OPTS% -Dct=cdgInstaller -DDEBUG=%DEBUG% "-DFILEDRIVEHOME=%FILEDRIVEHOME%" -Dnet.sf.ehcache.configurationResourceName=/ehcache-admin.xml "-Djava.library.path=%FILEDRIVEHOME%\lib" -classpath "%CLASSPATH%" com.axway.tactical.license.menu.removal.LicenseMenuRemoval --usage
goto Restart
:ShowUsage
"%JAVA_HOME%\bin\java.exe" %OPTS% -Dct=cdgInstaller -DDEBUG=%DEBUG% "-DFILEDRIVEHOME=%FILEDRIVEHOME%" -Dnet.sf.ehcache.configurationResourceName=/ehcache-admin.xml "-Djava.library.path=%FILEDRIVEHOME%\lib" -classpath "%CLASSPATH%" com.axway.tactical.license.menu.removal.LicenseMenuRemoval -OS Windows -bufferSize 1024 %1 %2 %3 %4 %5 %6 %7 %8 %9
:Restart


:exitting
EndLocal
